#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Parser
Summary:	XML::Parser - A Perl module for parsing XML documents
Summary(cs.UTF-8):	XML::Parser - Modul do Perlu pro parsování XML dokumentů
Summary(da.UTF-8):	XML::Parser - Et perlmodul for fortolkning af XML-dokumenter
Summary(de.UTF-8):	XML::Parser - Ein Perl-Modul für das Parsen von XML-Dokumenten
Summary(es.UTF-8):	XML::Parser - Módulo Perl para pasear documentos XML
Summary(fr.UTF-8):	XML::Parser - Module Perl pour l'analyse de documents XML
Summary(it.UTF-8):	XML::Parser - Un modulo Perl per analizzare documenti XML
Summary(ja.UTF-8):	XMLドキュメント 解析用の perl モジュール です。
Summary(ko.UTF-8):	XML::Parser - XML 문서들을 파싱하는데 사용되는 펄 모줄
Summary(nb.UTF-8):	XML::Parser - En perlmodul for parsing av XML-dokumenter
Summary(pl.UTF-8):	XML::Parser - moduł Perla analizujący dokumenty XML
Summary(pt.UTF-8):	XML::Parser - Um módulo de Perl para analisar documentos em XML
Summary(sv.UTF-8):	XML::Parser - En perl-modul för att tolka XML-dokument
Summary(zh_CN.UTF-8):	用来解析 XML 文档 的 Perl 模块。
Name:		perl-XML-Parser
Version:	2.44
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af4813fe3952362451201ced6fbce379
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/XML-Parser/
BuildRequires:	expat-devel
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-libwww}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Parser - A Perl module for parsing XML documents.

%description -l cs.UTF-8
XML::Parser - Modul do Perlu pro parsování XML dokumentů.

%description -l da.UTF-8
XML::Parser - Et perlmodul for fortolkning af XML-dokumenter.

%description -l de.UTF-8
XML::Parser - Ein Perl-Modul für das Parsen von XML-Dokumenten.

%description -l es.UTF-8
XML::Parser - Módulo Perl para pasear documentos XML.

%description -l fr.UTF-8
XML::Parser - Module Perl pour l'analyse de documents XML.

%description -l it.UTF-8
XML::Parser - Un modulo Perl per analizzare documenti XML.

%description -l ja.UTF-8
XMLドキュメント 解析用の perl モジュール です。

%description -l ko.UTF-8
XML::Parser - XML 문서들을 파싱하는데 사용되는 펄 모줄.

%description -l nb.UTF-8
XML::Parser - En perlmodul for parsing av XML-dokumenter.

%description -l pl.UTF-8
XML::Parser - moduł Perla analizujący dokumenty XML.

%description -l pt.UTF-8
XML::Parser - Um módulo de Perl para analisar documentos em XML.

%description -l sv.UTF-8
XML::Parser - En perl-modul för att tolka XML-dokument.

%description -l zh_CN.UTF-8
用来解析 XML 文档 的 Perl 模块。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	EXPATLIBPATH=%{_libdir} \
	EXPATINCPATH=%{_includedir}
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/XML/Parser/Style}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f samples/*~ samples/*.orig
install samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/Parser.pm
%{perl_vendorarch}/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser/Expat
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
%dir %{perl_vendorlib}/XML/Parser/Style
%{_mandir}/man3/XML::Parser*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 21 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Parser.git;a=log;h=master

* Tue Jan 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 3c836cd
- updated to 2.44

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e597fd7
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8c7aee1
- x32 rebuild
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0d772a6
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 685f07b
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 401bad5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c96f656
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f9a0729
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 7bd30ad
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 2e66f9a
- updated to 2.41

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> a2a61f0
- updated to 2.40

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 08103ab
- release 6

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 1b81cb3
- release 5

* Sun Mar 02 2008 radek <radek@pld-linux.org> 2d5e795
- release 4

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2442951
- rel 3

* Tue Feb 05 2008 radek <radek@pld-linux.org> 082f685
- release 2: add vendorlib/XML/Parser/Style

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> c4ef9ac
- generic URL
- informative summaries

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 5352ca0
- up to 2.36

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> 4b0d9bb
- pass CC; rebuild for missing dir in -debuginfo; rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> aea95ba
- tabs in preamble

